# build images
IMAGES=cd.iso dvd.iso rescue.iso minimal.iso livecd.iso plx8.iso
FLASHIMAGES=cd.flash dvd.flash rescue.flash minimal.flash livecd.flash plx8.flash
DESCRIPTION=altlinux-$(INFO_VERSION)-$(DATE)-desktop-i586-en
.PHONY: $(IMAGES) $(FLASHIMAGES)

$(IMAGES):
	@echo '--- Building $@'
	echo MKI_OUTNAME=$@ >> profiles/config.mk
	setarch i586 make -C profiles
	tests/check-iso-size /home/roman/mkimage-profiles-plc/profiles/out/$@
	mv -f /home/roman/mkimage-profiles-plc/profiles/out/$@ \
		/home/roman/mkimage-profiles-plc/profiles/out/$(DESCRIPTION)-$@

$(FLASHIMAGES):
	echo MKI_OUTNAME=$@ >> profiles/config.mk
	echo GLOBAL_BOOT_TYPE=syslinux >> profiles/config.mk
#	echo GLOBAL_PROPAGATOR_MAR_MODULES=./modules-usb >> profiles/config.mk
	setarch i586 make -C profiles
	rm -rf /home/roman/mkimage-profiles-plc/profiles/out/$(DESCRIPTION)-$@
	mv -f /home/roman/mkimage-profiles-plc/profiles/out/$@ \
		/home/roman/mkimage-profiles-plc/profiles/out/$(DESCRIPTION)-$@

